// https://www.youtube.com/watch?v=HzqnQThFSX8&list=RDHzqnQThFSX8&start_radio=1
function ytdl() {
    var url = document.getElementById("url").value;
    const ytid = get_ytid(url);
    add_db(ytid);
    return;
}

function get_ytid(url) {
    if (url === "") {
        alert("Please enter a URL");
        return;
    }
    if (url.includes("youtube.com/watch?v=")) {
        var ytid_prep1 = url.split("=");
        if (ytid_prep1[1].includes("&")) {
            var ytid_prep2 = ytid_prep1[1].split("&");
            var ytid = ytid_prep2[0];
        }
        else {
            var ytid = ytid_prep1[1];
        }
    }
    else if (url.includes("youtu.be/")) {
        var ytid_prep1 = url.split(".be/");
        var ytid = ytid_prep1[1];
    }
    else {
        alert("URL is not compliant with this website - I am kinda sorry(Just kidding)");
    }
    return ytid;
}

function add_db(ytid) {
    var url = base_url.concat(ytid);
    console.log(url);
    let send_response = add_song(url);
    console.log("Send response:", send_response)
}

async function add_song(url){
    var requestOptions = {
        method: 'GET',
        redirect: 'follow'
    };

    let response = await fetch(url, requestOptions);
    let data = await response.text();
    console.log(data)
    return data;
}